Results 1 to 2 of 2

Thread: RadeonSI glxinfo not reporting core version?

  1. #1
    Join Date
    Aug 2012
    Posts
    111

    Default RadeonSI glxinfo not reporting core version?

    Got a quick question, maybe someone can give me a hand on this (as I know there are a few users on here who use the same setup I have, muxless RadeonSI)

    I'm running Arch on a muxless laptop with a Radeon 7970M (PITCAIRN, RadeonSI), using PRIME offloading (DRI_PRIME) and using the latest Mesa git builds from http://pkgbuild.com/~lcarlier/mesa-git/

    Mesa 10 supports OpenGL 3.1 at this point even on RadeonSI, however whenever I check glxinfo it doesn't show me the core profile -- it only shows me the standard profile, which is OGL 3.0. See:

    Code:
    ~ $ DRI_PRIME=1 glxinfo | grep OpenGL
    OpenGL vendor string: X.Org
    OpenGL renderer string: Gallium 0.4 on AMD PITCAIRN
    OpenGL version string: 3.0 Mesa 10.0.0-devel (git-b35ea09)
    OpenGL shading language version string: 1.30
    OpenGL context flags: (none)
    OpenGL extensions:
    ~ $
    However, I've gone through some of the posts on the changes made in Mesa 10 (specifically the added 3.1 OGL functions) and glxinfo seems to report that all the 3.1 functions are available, yet the advertised version is still 3.0 (or else glxinfo isn't reporting the core version?)

    My question is: How can I be sure that OpenGL 3.1 Core is available, if glxinfo isn't showing it? Is it because I'm using PRIME to offload, or are these packages from the mesa-git repo missing something? Or is there perhaps something wrong with the version of glxinfo I'm using? (mesa-demos 8.1.0-1, from the extra Arch repos)

    Thanks!

  2. #2
    Join Date
    Aug 2012
    Posts
    111

    Default

    Figured it out in this thread: http://phoronix.com/forums/showthrea...h-Series/page2

    Need to update to a newer version of Xorg.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •